Create an Issue View

POST /api/0/organizations/{organization_id_or_slug}/group-search-views/

Create a new custom view for the current organization member.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

Body Parameters

name (string)
REQUIRED

The name of the issue view.

query (string)
REQUIRED

The issue search query.

projects (array(integer))
REQUIRED

The project IDs included in the view. Use -1 to include all projects.

environments (array(string))
REQUIRED

The environment names included in the view. An empty list includes all environments.

timeFilters
REQUIRED

The time range for the view.

querySort (string)

How to sort issues in the view.

  • date - Last Seen
  • new - First Seen
  • trends - Trends
  • freq - Events
  • user - Users
  • inbox - Date Added
  • recommended - Recommended
starred (boolean)

Whether to star the issue view for the current user.

Scopes

<auth_token> requires one of the following scopes:
  • member:read
  • member:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/group-search-views/ \
 -H 'Authorization: Bearer <auth_token>' \
 -H 'Content-Type: application/json' \
 -d '{}'
RESPONSESCHEMA
Copied
.
Was this helpful?